#include<bits/stdc++.h>
using namespace std;
int a[2000000];
int main(){
    int n,ans=0;
    cin>>n;
    for(int i=0;i<n;i++)cin>>a[i];
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            if(true){
               bool g=1;
                for(int x=i+1;x<j;x++){
                    if(a[x]>a[i]&&a[x]>a[j]){
                        g=0;
                        break;
                    }
                }
                ans+=g;
            }
        }
    }
    cout<<ans;
}
